set( top_srcdir ${CMAKE_SOURCE_DIR}         )
set( srcdir     ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file( Doxyfile.scripting-api.in Doxyfile.scripting-api @ONLY )

file( GLOB _pics RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )
file( COPY ${_pics} DESTINATION ${CMAKE_CURRENT_BINARY_DIR} )

add_custom_target( kig-scripting-apidox ALL
    COMMAND ${DOXYGEN_BINARY} Doxyfile.scripting-api
    COMMENT "Build Kig scripting-api documentation"
)

install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build/html/
    DESTINATION ${HTML_INSTALL_DIR}/en/kig/scripting-api
    PATTERN "${CMAKE_CURRENT_BINARY_DIR}/build/html/*"
)
